---
title: Hackers
layout: post
redirect_from: "/blog/hackers/"
---

*The following is a non-fiction essay I wrote for my* ENGH 396: Intro to
Creative Writing *class. I decided to write about my experience with
discovering and getting involved with the eccentric community of hackers that I
met since the past two internships I've had at [Valti](https:/www.valti.com/)
and [Humbug](https://humbughq.com/) in Cambridge, Massachusetts. Seeing as it
encapsulated what I've learned culturally since then, I decided to post it here
as well.*
<!--excerpt-->

Hackers -- not your malicious meddling Hollywood-style speed-typists -- but the
type who sees a toaster and turns it into a computer capable of etching emails
into the crispy surface of toast. Those who would create a programming language
consisting exclusively of expletives and then use it to filter out offensive
words from websites just for the irony. They would never steal a password or
cause any harm -- unless, perhaps, you gave them a powerful rocket and a bad
idea. Their curiosity leaves them with a burning desire to break all
assumptions and to answer "what if" questions as if they were a challenge to
their very existence.

My personal foray within the realm of hackers began with Boston. I had snagged
an internship with a startup called Valti started by a couple of Harvard
students who wanted to create an online platform that enabled college students
to exchange dresses. Startup businesses are dime a dozen in the hacker culture.
With so many wild ideas going around, every once in a while a profitable one
comes by. Hackers despise cubicles and big corporations, so starting their own
company on their own rules is the usual course of action.

While Harvard's snobby atmosphere put me off, MIT seemed to call out to the
hacker within me. Now, MIT is arguably the birthplace of the hacker, so when I
say that I was thrown into the thick of the hacker culture all at once, it is
no over-exaggeration. This is the place where people would regularly discuss
mathematical and computer science theories over a casual lunch with each other.
Computer Science is the de facto "undecided" major at MIT. You would be
hard-pressed to find a student who didn’t know their way around a Linux
terminal. Now imagine the computer club of such a university.

The Student Information Processing Board, or SIPB for short, was at least one
such computer club of MIT that I began to get involved with. This club, which
was established in the 60s, packaged their own operating system and distributed
computing environment called Project Athena that was good enough that the
university installed it on all of their computers. The members were laughably
out of my league in terms of computer science experience; I would find myself
regularly searching Wikipedia for every other word they would mention while in
a heated discussion concerning some technology. But, what surprised me the most
was not the depth of their knowledge, but the breadth; each of them seemed to
have an unlimited capacity for various trivial tidbits of knowledge from the
etymology of words to the physics of the universe. Being around that kind of
intelligence was fascinating, while at the same time frustrating, since it was
often hard to follow.

Whenever I wasn't building the website for Valti, I was out in the city going
to various meetups to meet people and learn about new upcoming technologies.
This was a totally new world for me. Hackers didn't exist in high school, they
were just those weird nerds in the computer classes. And, even at George Mason,
there still wasn't the same atmosphere of ingenuity as in Boston that gave me
the motivation to want to change the world. I had the feeling most CS students
at Mason were only there for the degree just so they could go work at some
boring government contractor in DC when they graduated. After seeing the hacker
culture in Boston, that type of job seemed like death to me.

Hackers, a world-wide amorphous group of people who enjoy discussing (and
arguing) various topics, naturally congregate among sites like Slashdot,
Reddit, and Hacker News (often abbreviated to HN -- hackers, much like the
military, are fond of their abbreviations) to get quick syndicated news and to
have large in-depth discussions in the comments. Locally, there are groups that
meet to discuss certain technologies or set up spaces where hackers can easily
build prototypes (usually referred to as "hackerspaces"). Unsurprisingly, the
hubs for these local communities are usually centered around cities that are
hosts to major computer science universities: San Fransisco, Boston, New York,
etc.

Their awareness of the languages they use and their fondness of breaking beyond
the norm lends hackers a great affinity to the game of word play, and thus they
have created their own lexicon of slang that borrows much from the jargon of
computer science. "Foobar," "grok," "cruft," "distro," "kluge," "phreaking,"
the words that are common knowledge among those already within the society put
a barrier in front of those like me looking to understand the culture.

Many of the students I met at MIT use a chat protocol called Zephyr as cross
between email and instant messaging to communicate with each other. Zephyr was
created in the 80’s as one of the first instant-messaging systems (the other,
more popular protocol being IRC), and, because of the culture surrounding the
program, it is still widely used at the university. "Zephyrisms" have developed
over the years to aid in simplifying communication. For example, "==" is used
to indicate agreement and "++" is used by what would probably be the equivalent
to a "Like" on Facebook. Both can find their parallels as symbols used in many
programming languages, the former for equality and the later for incrementing
an integer by one. Other more obscure zephyrisms include "starking," or
reviving an old thread of conversation, "prnf" which stands for "Pseudo-Random
Neuron Firings", and "i, i" which would mean "I have no point here, I just like
saying" and would usually prefix some snarky comment in reply to an otherwise
serious thread of conversation (some people would just omit the "i, i" and put
quotes around said snarky comment instead). Even though these zephyrisms seemed
completely arbitrary to me when I first encountered them, after a while of use
they came to me naturally, and I would even accidentally use them outside
Zephyr to the confusion of my friends. It was easy to see how such conventions
of speech developed originally.

The Free Software Foundation (FSF), which advocates for free, open-source,
non-proprietary software (free as in "free speech," not "free beer"), is based
in Boston and is one of the focal points of the hacker culture. The president,
Richard Stallman (who is often referred to as RMS), a big, heavily bearded
fellow, is particularly legendary in the community. Being nearly militant about
the goals of FSF, he refuses to use software that contains any proprietary code
at all: no cellphone, only uses a laptop developed completely open-source,
doesn’t use a browser to view the internet, and even refuses to use a key card,
which makes it difficult for him to get into his office at MIT. Though often
painfully stubborn about his ideas, he is the ultimate activist for hackers:
making sure the government and big corporations do not misuse people's
information or kill off the hacker culture.

While nowadays I like to call myself an aspiring hacker, I’m not so sure I
could ever match the intelligence and indestructible curiosity of those that I
met in Boston. Perhaps it is their unique culture of constantly questioning the
norm and striving for knowledge of the world around them that allows them to
transcend into true hackerdom. Either way, I now know never to tell a hacker
that something is impossible, because they will surely find a way to prove me
wrong.
